> ## Documentation Index > Fetch the complete documentation index at: https://docs.mapp.com/llms.txt > Use this file to discover all available pages before exploring further. # Get a CMS message > Returns the stored message with its raw content. Use cmsMessages/render for rendered content. ## OpenAPI ````json GET /cmsMessages/get { "openapi": "3.0.4", "info": { "title": "Engage public API", "version": "1" }, "servers": [ { "url": "https://your-engage-domain.com/api/rest" } ], "tags": [ { "name": "Address Attributes" }, { "name": "Async" }, { "name": "Audit Log" }, { "name": "Automation" }, { "name": "Blacklist" }, { "name": "CMS (legacy)" }, { "name": "CMS Blocks" }, { "name": "CMS Frameworks" }, { "name": "CMS Messages" }, { "name": "CMS Templates" }, { "name": "Contact" }, { "name": "Content" }, { "name": "Coupon" }, { "name": "Draft Message" }, { "name": "Ecommerce" }, { "name": "Group" }, { "name": "Group Attributes" }, { "name": "Landing Page" }, { "name": "Member Attributes" }, { "name": "Membership" }, { "name": "Message" }, { "name": "Meta" }, { "name": "Mobile Push" }, { "name": "Prepared Message" }, { "name": "Process" }, { "name": "Profile Attributes" }, { "name": "Related Data" }, { "name": "Segmentation" }, { "name": "System" }, { "name": "System User" }, { "name": "Usage Statistics" }, { "name": "User" }, { "name": "Whiteboard" } ], "paths": { "/cmsMessages/get": { "get": { "tags": [ "CMS Messages" ], "summary": "Returns a single message by its numeric ID.", "description": "Returns the stored message with its raw content. Use cmsMessages/render for rendered content.", "operationId": "cmsMessagesGet", "parameters": [ { "name": "cmsMessageId", "in": "query", "description": "The numeric ID of the CM2 message. Not the cmsMessageId of the legacy cms domain (cms/getMimeMessage), which is a different ID.", "required": true, "schema": { "type": "integer", "format": "int64" } } ], "responses": { "200": { "description": "The message.\n\nExample response:\n```json\n{\n \"id\": 29692,\n \"name\": \"November newsletter - DE\",\n \"description\": \"German edition\",\n \"tags\": \"newsletter,de\",\n \"externalId\": \"nl-2026-11-de\",\n \"encoding\": \"UTF-8\",\n \"imageHandlingMode\": \"host\",\n \"content\": \"
Welcome to our newsletter
Welcome to our newsletter
\",\n \"renderedContent\": null,\n \"variables\": \"{\\\"BLOCKVAR_9405-910974664242449-396925382327620_buttonColor_ENDBLOCKVAR\\\": {\\\"id\\\": \\\"325a8b38-e9aa-47f4-a47b-f0300e837fec\\\", \\\"name\\\": \\\"Button Colour\\\", \\\"type\\\": \\\"text\\\", \\\"value\\\": \\\"#0055AA\\\", \\\"group\\\": \\\"Button\\\", \\\"order\\\": 1, \\\"inline\\\": \\\"false\\\"}}\",\n \"autoUpdate\": false,\n \"encoding\": \"UTF-8\"\n }\n ],\n \"variables\": \"{\\\"defaultBGColor\\\": {\\\"id\\\": \\\"def-bgColor\\\", \\\"name\\\": \\\"Default Background Color\\\", \\\"type\\\": \\\"text\\\", \\\"value\\\": \\\"#FFFFFF\\\", \\\"group\\\": \\\"System Defaults\\\", \\\"order\\\": 1, \\\"inline\\\": \\\"false\\\"}, \\\"imagetype\\\": {\\\"id\\\": \\\"314f6ef8-37df-470a-beea-6b630832df29\\\", \\\"name\\\": \\\"Image Link Settings\\\", \\\"type\\\": \\\"list\\\", \\\"value\\\": \\\"withlink\\\", \\\"options\\\": {\\\"Image w/ URL\\\": \\\"withlink\\\", \\\"Image w/o URL\\\": \\\"nolink\\\"}, \\\"group\\\": \\\"Variables\\\", \\\"order\\\": 2, \\\"inline\\\": \\\"false\\\"}}\",\n \"fallbackContent\": \"Our November news. View this email in your browser.\",\n \"groupId\": 300,\n \"messageCategoryId\": 12,\n \"createDate\": 1792998000000,\n \"modifyDate\": 1793001600000,\n \"version\": 3\n}\n```", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/CmsMessage" } } } }, "400": { "description": "Error. All errors are returned as HTTP 400; errorCode in the body says what went wrong: INVALID_PARAMETER or MISSING_PARAMETER (a parameter is missing or invalid), NO_SUCH_OBJECT (no object with this ID in your account), PERMISSION_DENIED (your user lacks the CMS permission for this action), UNEXPECTED_ERROR (backend error). Example: {\"errorActor\": \"CLIENT\", \"errorCode\": \"NO_SUCH_OBJECT\", \"message\": \"...\", \"objectType\": null, \"propertyName\": null, \"propertyValue\": null}", "content": { "application/json": {} } } } } } }, "components": { "schemas": { "CmsMessage": { "type": "object", "properties": { "id": { "type": "integer", "format": "int64" }, "name": { "type": "string" }, "description": { "type": "string" }, "tags": { "type": "string" }, "externalId": { "type": "string" }, "encoding": { "type": "string" }, "imageHandlingMode": { "enum": [ "host", "inline", "none" ], "type": "string" }, "content": { "type": "string" }, "rendered": { "type": "boolean", "default": false }, "subject": { "type": "string" }, "template": { "$ref": "#/components/schemas/TemplateSummary" }, "status": { "enum": [ "FINISHED", "WORKINPROGRESS" ], "type": "string" }, "preventRssSendout": { "type": "boolean", "default": false }, "lifecycleStatus": { "enum": [ "ACTIVE", "ARCHIVED" ], "type": "string" }, "blocks": { "type": "array", "items": { "$ref": "#/components/schemas/BlockInstance" } }, "variables": { "type": "string" }, "fallbackContent": { "type": "string" }, "groupId": { "type": "integer", "format": "int64" }, "messageCategoryId": { "type": "integer", "format": "int64" }, "createDate": { "type": "integer", "format": "int64" }, "modifyDate": { "type": "integer", "format": "int64" }, "version": { "type": "integer", "format": "int32" } } }, "TemplateSummary": { "type": "object", "properties": { "id": { "type": "integer", "format": "int64" }, "name": { "type": "string" }, "lifecycleStatus": { "enum": [ "ACTIVE", "ARCHIVED" ], "type": "string" } } }, "BlockInstance": { "type": "object", "properties": { "blockInstanceId": { "type": "string" }, "blockId": { "type": "integer", "format": "int64" }, "name": { "type": "string" }, "description": { "type": "string" }, "content": { "type": "string" }, "renderedContent": { "type": "string" }, "variables": { "type": "string" }, "autoUpdate": { "type": "boolean", "default": false }, "encoding": { "type": "string" } } } } } } ````